Summary:        A simple program which checks Python source files for errors
Name:           pyflakes
Version:        3.1.0
Release:        2%{?dist}
License:        MIT
URL:            https://github.com/PyCQA/pyflakes

Source0:        %{pypi_source}
Source1:        http://cdn.debian.net/debian/pool/main/p/pyflakes/pyflakes_2.0.0-1.debian.tar.xz

Patch3000:      %{name}-1.1.0-python3-man.patch

BuildArch:      noarch

%description
Pyflakes is similar to PyChecker in scope, but differs in that it does not execute the modules to
check them. This is both safer and faster, although it does not perform as many checks. Unlike
PyLint, Pyflakes checks only for logical errors in programs; it does not perform any check on style.

%package -n python%{python3_pkgversion}-%{name}
Summary:        A simple program which checks Python source files for errors
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools python%{python3_pkgversion}-pytest

%description -n python%{python3_pkgversion}-%{name}
Pyflakes is similar to PyChecker in scope, but differs in that it does not execute the modules to
check them. This is both safer and faster, although it does not perform as many checks. Unlike
PyLint, Pyflakes checks only for logical errors in programs; it does not perform any check on style.

%prep
%autosetup -n %{name}-%{version} -a1 -p1

%build
%py3_build

%install
rm -rf %{buildroot}

%py3_install
mv %{buildroot}%{_bindir}/pyflakes %{buildroot}%{_bindir}/pyflakes-%{python3_version}
ln -s pyflakes-%{python3_version} %{buildroot}%{_bindir}/pyflakes-3
ln -s pyflakes-3 %{buildroot}%{_bindir}/pyflakes

install -Dpm 644 debian/pyflakes3.1 %{buildroot}%{_mandir}/man1/pyflakes-%{python3_version}.1
ln -s pyflakes-%{python3_version}.1 %{buildroot}%{_mandir}/man1/pyflakes-3.1
ln -s pyflakes-3.1 %{buildroot}%{_mandir}/man1/pyflakes.1

%check
%pytest

%files -n python%{python3_pkgversion}-%{name}
%license LICENSE
%doc AUTHORS NEWS.rst README.rst
%{_bindir}/pyflakes-%{python3_version}
%{_bindir}/pyflakes-3
%{_bindir}/pyflakes
%{python3_sitelib}/pyflakes*
%{_mandir}/man1/pyflakes-%{python3_version}.1*
%{_mandir}/man1/%{name}-3.1.gz
%{_mandir}/man1/pyflakes.1*
%exclude %{python3_sitelib}/pyflakes/test/

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.0-2
- Rebuilt for loongarch release

* Tue Sep 26 2023 cunshunxia <cunshunxia@tencent.com> - 3.1.0-1
- Upgrade to version 3.1.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 29 2023 Shuo Wang <abushwang@tencent.com> - 2.4.0-1
- initial build
